GNU bug report logs - #20236
25.0.50; Feature Request: scroll-other-window does not allow setting of scroll function

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: torys.anderson@HIDDEN (Tory S. Anderson); Keywords: moreinfo; dated Tue, 31 Mar 2015 11:11:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20236 <at> debbugs.gnu.org:


Received: (at 20236) by debbugs.gnu.org; 2 Dec 2021 10:10:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 05:10:22 2021
Received: from localhost ([127.0.0.1]:46700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msj2j-0000HF-QB
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 05:10:21 -0500
Received: from quimby.gnus.org ([95.216.78.240]:37218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1msj2i-0000Gv-4s
 for 20236 <at> debbugs.gnu.org; Thu, 02 Dec 2021 05:10:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=SU24Oe1DrsbV+sGpUaCNoKr9oEm0Ml/+nuerU3Tha80=; b=r2nJOZ+g4crRDmottDY1acBUjP
 54S0tlUvOS22d6xE+OWtRt8OjV5wqS88Y92JhJYuEvK/u1KbQ+Ara4nXPcJSYsty1JbOvJiId20FI
 IePDVafs5MJ4pMtMkzRRGQg4kFuL96WieBkslJHj8DaAVNpVrHtcHkUk84aZFL/wHpyQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1msj2Y-000894-5j; Thu, 02 Dec 2021 11:10:12 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#20236: 25.0.50; Feature Request: scroll-other-window does
 not allow setting of scroll function
References: <87zj6th18o.fsf@HIDDEN>
 <jwvtwwy3aws.fsf-monnier+emacsbugs@HIDDEN>
X-Now-Playing: Riow Aral's _Beat Bracelet_: "Kusakari"
Date: Thu, 02 Dec 2021 11:10:09 +0100
In-Reply-To: <jwvtwwy3aws.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Thu, 02 Apr 2015 09:42:28 -0400")
Message-ID: <87mtlj5ncu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >> the
 c-code
 scroll-other-window functions do not allow specification of >> the function
 to be used for scrolling, which means they have problems >> with other-window
 modes like Info and PDF-View. It [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20236
Cc: 20236 <at> debbugs.gnu.org, "Tory S. Anderson" <torys.anderson@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

>> the c-code scroll-other-window functions do not allow specification of
>> the function to be used for scrolling, which means they have problems
>> with other-window modes like Info and PDF-View.  It would be
>> tremendously useful if support for dynamic setting of the
>> scroll-other-window functions would be allowed (based on the mode of
>> other-window). 
>
> Agreed.  Patch welcome.

Hm...  I don't think modes explicitly define a scrolling command -- they
just rebind <next> etc?

So for this to work, we'd have to introduce a scroll-command variable
that buffers could set locally, and then have scroll_command call that
instead of doing its thing if it's set?

Anybody have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20236; Package emacs. Full text available.

Message received at 20236 <at> debbugs.gnu.org:


Received: (at 20236) by debbugs.gnu.org; 17 Apr 2015 06:16:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 17 02:16:51 2015
Received: from localhost ([127.0.0.1]:58515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Yiza7-0005Yb-GT
	for submit <at> debbugs.gnu.org; Fri, 17 Apr 2015 02:16:51 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:53031)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1Yiza5-0005YL-39
 for 20236 <at> debbugs.gnu.org; Fri, 17 Apr 2015 02:16:49 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id BBFA6A60035
 for <20236 <at> debbugs.gnu.org>; Thu, 16 Apr 2015 23:16:43 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XACp+Mf5jNfU for <20236 <at> debbugs.gnu.org>;
 Thu, 16 Apr 2015 23:16:42 -0700 (PDT)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 3E35139E807B
 for <20236 <at> debbugs.gnu.org>; Thu, 16 Apr 2015 23:16:42 -0700 (PDT)
Message-ID: <5530A549.90305@HIDDEN>
Date: Thu, 16 Apr 2015 23:16:41 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.6.0
MIME-Version: 1.0
To: 20236 <at> debbugs.gnu.org
Subject: Re: 25.0.50; Feature Request: scroll-other-window does not allow
 setting of scroll function
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20236
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Please ignore my previous email to Bug#20236:

http://bugs.gnu.org/20236#13

It was a typo, intended for Bug#20326.  Sorry about the noise.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20236; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 20236-done <at> debbugs.gnu.org:


Received: (at 20236-done) by debbugs.gnu.org; 17 Apr 2015 06:05:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 17 02:05:47 2015
Received: from localhost ([127.0.0.1]:58497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YizPP-0003pe-7h
	for submit <at> debbugs.gnu.org; Fri, 17 Apr 2015 02:05:47 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:52621)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1YizPN-0003pQ-3S
 for 20236-done <at> debbugs.gnu.org; Fri, 17 Apr 2015 02:05:45 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 0C6E9A60035
 for <20236-done <at> debbugs.gnu.org>; Thu, 16 Apr 2015 23:05:39 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 8dF29Ab5on2j for <20236-done <at> debbugs.gnu.org>;
 Thu, 16 Apr 2015 23:05:38 -0700 (PDT)
Received: from [192.168.1.9] (pool-100-32-155-148.lsanca.fios.verizon.net
 [100.32.155.148])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 6F8DB39E801C
 for <20236-done <at> debbugs.gnu.org>; Thu, 16 Apr 2015 23:05:38 -0700 (PDT)
Message-ID: <5530A2B1.5020406@HIDDEN>
Date: Thu, 16 Apr 2015 23:05:37 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.6.0
MIME-Version: 1.0
To: 20236-done <at> debbugs.gnu.org
Subject: Re:  add tiny-change equivalent to 62e7506
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 20236-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I fixed this as follows (and anyone can use this as a recipe for this sort of 
thing next time):

git checkout master
make change-history
[Edit ChangeLog.2 by hand.]
[Commit the ChangeLog.2 edit.]




Notification sent to torys.anderson@HIDDEN (Tory S. Anderson):
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 20236 <at> debbugs.gnu.org:


Received: (at 20236) by debbugs.gnu.org; 2 Apr 2015 13:42:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 09:42:41 2015
Received: from localhost ([127.0.0.1]:43200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YdfOK-0003u5-VI
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2015 09:42:41 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:51919)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>)
 id 1YdfOH-0003tn-7b; Thu, 02 Apr 2015 09:42:37 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AnEFAGvvdVRBbthL/2dsb2JhbAA3gVOfQYIugQiBdQEBBAFWIwULCzQHCxQYDYg3ohGMZAkDAQKDPgMHBgSDXwSoOw
X-IPAS-Result: AnEFAGvvdVRBbthL/2dsb2JhbAA3gVOfQYIugQiBdQEBBAFWIwULCzQHCxQYDYg3ohGMZAkDAQKDPgMHBgSDXwSoOw
X-IronPort-AV: E=Sophos;i="5.01,1,1400040000"; 
   d="scan'208";a="115256389"
Received: from 65-110-216-75.cpe.pppoe.ca (HELO pastel.home) ([65.110.216.75])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 02 Apr 2015 09:42:29 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id DA407100D; Thu,  2 Apr 2015 09:42:28 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: torys.anderson@HIDDEN (Tory S. Anderson)
Subject: Re: bug#20236: 25.0.50;
 Feature Request: scroll-other-window does not allow setting of scroll
 function
Message-ID: <jwvtwwy3aws.fsf-monnier+emacsbugs@HIDDEN>
References: <87zj6th18o.fsf@HIDDEN>
Date: Thu, 02 Apr 2015 09:42:28 -0400
In-Reply-To: <87zj6th18o.fsf@HIDDEN> (Tory S. Anderson's message of "Tue,
 31 Mar 2015 07:09:43 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 20236
Cc: 20236 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

severity 20236 wishlist
thanks

> the c-code scroll-other-window functions do not allow specification of
> the function to be used for scrolling, which means they have problems
> with other-window modes like Info and PDF-View.  It would be
> tremendously useful if support for dynamic setting of the
> scroll-other-window functions would be allowed (based on the mode of
> other-window). 

Agreed.  Patch welcome.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20236; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Mar 2015 11:10:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 07:10:11 2015
Received: from localhost ([127.0.0.1]:40954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ycu3c-0007La-Ja
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2015 07:10:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60231)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <torys.anderson@HIDDEN>) id 1Ycu3W-0007Kw-3U
 for submit <at> debbugs.gnu.org; Tue, 31 Mar 2015 07:10:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <torys.anderson@HIDDEN>) id 1Ycu3N-00055A-CF
 for submit <at> debbugs.gnu.org; Tue, 31 Mar 2015 07:09:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47442)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <torys.anderson@HIDDEN>) id 1Ycu3N-000556-8c
 for submit <at> debbugs.gnu.org; Tue, 31 Mar 2015 07:09:53 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33639)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <torys.anderson@HIDDEN>) id 1Ycu3K-0004RV-7c
 for bug-gnu-emacs@HIDDEN; Tue, 31 Mar 2015 07:09:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <torys.anderson@HIDDEN>) id 1Ycu3G-0004yP-TX
 for bug-gnu-emacs@HIDDEN; Tue, 31 Mar 2015 07:09:50 -0400
Received: from mail-qc0-x230.google.com ([2607:f8b0:400d:c01::230]:35198)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <torys.anderson@HIDDEN>) id 1Ycu3G-0004y6-NG
 for bug-gnu-emacs@HIDDEN; Tue, 31 Mar 2015 07:09:46 -0400
Received: by qcfy6 with SMTP id y6so10013139qcf.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 31 Mar 2015 04:09:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:user-agent:mime-version
 :content-type:content-transfer-encoding;
 bh=vLh4c7BlIlNmqcBBcsn2BF2vCAaxe4OR4027KfGS9v8=;
 b=jPofXygrLXg9O/qkMb8hQ7LVWqZu/V2IE4a0defO67BcGr2uLBPLo+3JeJVyUKo1a8
 ozR2aJRMY6nsLM8QBc0YSSR2GVmm9OvXzy8Rh/7QDTZdbkzseG3uLRdOKJFVtC1aEihZ
 O8yCWfTgV2UR+0hwgZ8hA4snsuKvvPDxszGI+qxpPwnf+dp9lvNDzL4crSOTOanP4i71
 Ipi48rSp4aB2yUbEw81u6eTQhHxk0yCUufo3xBT2HVL2bSOs51leUoavjnd6MDeQIuzV
 tTEzCy1T/RkR2fxQGYCVQcJcdsQk7mfyC44EovETwiR5jhGbrt07rowJDy4VgtCghAOy
 TkbA==
X-Received: by 10.55.56.75 with SMTP id f72mr76522119qka.75.1427800185868;
 Tue, 31 Mar 2015 04:09:45 -0700 (PDT)
Received: from localhost.localdomain ([2601:0:a602:8412:ee55:f9ff:feb5:5589])
 by mx.google.com with ESMTPSA id
 l49sm9694008qgd.21.2015.03.31.04.09.44
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 31 Mar 2015 04:09:44 -0700 (PDT)
From: torys.anderson@HIDDEN (Tory S. Anderson)
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50;
 Feature Request: scroll-other-window does not allow setting of scroll
 function
Date: Tue, 31 Mar 2015 07:09:43 -0400
Message-ID: <87zj6th18o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


the c-code scroll-other-window functions do not allow specification of the =
function to be used for scrolling, which means they have problems with othe=
r-window modes like Info and PDF-View. It would be tremendously useful if s=
upport for dynamic setting of the scroll-other-window functions would be al=
lowed (based on the mode of other-window).=20



In GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.9)
 of 2015-03-23 on localhost.localdomain
Repository revision: ad80180d0f2fc2ea422cf7ca5bdcc636c0600744
Windowing system distributor `Fedora Project', version 11.0.11404000
System Description:	Fedora release 20 (Heisenbug)

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY GNUTLS LIBXML2 FREETYPE XFT ZL=
IB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Summary

Minor modes in effect:
  semantic-minor-modes-format: ((:eval (if (or semantic-highlight-edits-mod=
e semantic-show-unmatched-syntax-mode)  S)))
  global-auto-revert-mode: t
  gnus-agent-summary-mode: t
  diff-auto-refine-mode: t
  TeX-PDF-mode: t
  erc-hl-nicks-mode: t
  show-paren-mode: t
  global-ace-isearch-mode: t
  ace-isearch-mode: t
  winner-mode: t
  recentf-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  global-auto-complete-mode: t
  helm-mode: t
  shell-dirtrack-mode: t
  display-time-mode: t
  electric-pair-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t

Recent messages:
Reading active file via nnml...
Reading incoming mail from file...
Wrote /home/torys/Mail/mail/bulk/6678
Wrote /home/torys/Mail/mail/bulk/6679
Wrote /home/torys/Mail/mail/bulk/6680
nnml: Reading incoming mail (3 new)...done
Reading active file via nnml...done
Reading active file via nndraft...done
Checking new news...done
Type "q" in help window to restore its previous buffer.

Load-path shadows:
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-winman-support hides /home/t=
orys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-winman-support
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-examples hides /home/torys/.=
emacs.d/elpa/ecb-snapshot-20120830/ecb-examples
/home/torys/.emacs.d/elpa/ecb-20140215.114/silentcomp hides /home/torys/.em=
acs.d/elpa/ecb-snapshot-20120830/silentcomp
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-layout-defs hides /home/tory=
s/.emacs.d/elpa/ecb-snapshot-20120830/ecb-layout-defs
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-buffertab hides /home/torys/=
.emacs.d/elpa/ecb-snapshot-20120830/ecb-buffertab
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-layout hides /home/torys/.em=
acs.d/elpa/ecb-snapshot-20120830/ecb-layout
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-compilation hides /home/tory=
s/.emacs.d/elpa/ecb-snapshot-20120830/ecb-compilation
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-jde hides /home/torys/.emacs=
.d/elpa/ecb-snapshot-20120830/ecb-jde
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-upgrade hides /home/torys/.e=
macs.d/elpa/ecb-snapshot-20120830/ecb-upgrade
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-file-browser hides /home/tor=
ys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-file-browser
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-help hides /home/torys/.emac=
s.d/elpa/ecb-snapshot-20120830/ecb-help
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-navigate hides /home/torys/.=
emacs.d/elpa/ecb-snapshot-20120830/ecb-navigate
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-advice-test hides /home/tory=
s/.emacs.d/elpa/ecb-snapshot-20120830/ecb-advice-test
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-tod hides /home/torys/.emacs=
.d/elpa/ecb-snapshot-20120830/ecb-tod
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-compatibility hides /home/to=
rys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-compatibility
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-multiframe hides /home/torys=
/.emacs.d/elpa/ecb-snapshot-20120830/ecb-multiframe
/home/torys/.emacs.d/elpa/ecb-20140215.114/tree-buffer hides /home/torys/.e=
macs.d/elpa/ecb-snapshot-20120830/tree-buffer
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-symboldef hides /home/torys/=
.emacs.d/elpa/ecb-snapshot-20120830/ecb-symboldef
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-create-layout hides /home/to=
rys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-create-layout
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-speedbar hides /home/torys/.=
emacs.d/elpa/ecb-snapshot-20120830/ecb-speedbar
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-autogen hides /home/torys/.e=
macs.d/elpa/ecb-snapshot-20120830/ecb-autogen
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-analyse hides /home/torys/.e=
macs.d/elpa/ecb-snapshot-20120830/ecb-analyse
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-method-browser hides /home/t=
orys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-method-browser
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-common-browser hides /home/t=
orys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-common-browser
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-semantic hides /home/torys/.=
emacs.d/elpa/ecb-snapshot-20120830/ecb-semantic
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-util hides /home/torys/.emac=
s.d/elpa/ecb-snapshot-20120830/ecb-util
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-cedet-wrapper hides /home/to=
rys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-cedet-wrapper
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-cycle hides /home/torys/.ema=
cs.d/elpa/ecb-snapshot-20120830/ecb-cycle
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-face hides /home/torys/.emac=
s.d/elpa/ecb-snapshot-20120830/ecb-face
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-eshell hides /home/torys/.em=
acs.d/elpa/ecb-snapshot-20120830/ecb-eshell
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-mode-line hides /home/torys/=
.emacs.d/elpa/ecb-snapshot-20120830/ecb-mode-line
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb hides /home/torys/.emacs.d/e=
lpa/ecb-snapshot-20120830/ecb
/home/torys/.emacs.d/elpa/ecb-20140215.114/ecb-semantic-wrapper hides /home=
/torys/.emacs.d/elpa/ecb-snapshot-20120830/ecb-semantic-wrapper
~/.emacs.d/lisp/graphviz-dot-mode hides /home/torys/.emacs.d/elpa/graphviz-=
dot-mode-20150322.235/graphviz-dot-mode
~/.emacs.d/lisp/shorten hides /home/torys/.emacs.d/elpa/shorten-20150306.51=
7/shorten
/home/torys/.emacs.d/elpa/org-20150323/ob-keys hides /home/torys/workspace/=
emacs/lisp/org/ob-keys
/home/torys/.emacs.d/elpa/org-20150323/ox-org hides /home/torys/workspace/e=
macs/lisp/org/ox-org
/home/torys/.emacs.d/elpa/org-20150323/ob-mscgen hides /home/torys/workspac=
e/emacs/lisp/org/ob-mscgen
/home/torys/.emacs.d/elpa/org-20150323/ob-org hides /home/torys/workspace/e=
macs/lisp/org/ob-org
/home/torys/.emacs.d/elpa/org-20150323/org-element hides /home/torys/worksp=
ace/emacs/lisp/org/org-element
/home/torys/.emacs.d/elpa/org-20150323/org-docview hides /home/torys/worksp=
ace/emacs/lisp/org/org-docview
/home/torys/.emacs.d/elpa/org-20150323/ob-matlab hides /home/torys/workspac=
e/emacs/lisp/org/ob-matlab
/home/torys/.emacs.d/elpa/org-20150323/org-indent hides /home/torys/workspa=
ce/emacs/lisp/org/org-indent
/home/torys/.emacs.d/elpa/org-20150323/org-capture hides /home/torys/worksp=
ace/emacs/lisp/org/org-capture
/home/torys/.emacs.d/elpa/org-20150323/org-archive hides /home/torys/worksp=
ace/emacs/lisp/org/org-archive
/home/torys/.emacs.d/elpa/org-20150323/ob-sass hides /home/torys/workspace/=
emacs/lisp/org/ob-sass
/home/torys/.emacs.d/elpa/org-20150323/ox-man hides /home/torys/workspace/e=
macs/lisp/org/ox-man
/home/torys/.emacs.d/elpa/org-20150323/org-table hides /home/torys/workspac=
e/emacs/lisp/org/org-table
/home/torys/.emacs.d/elpa/org-20150323/org-info hides /home/torys/workspace=
/emacs/lisp/org/org-info
/home/torys/.emacs.d/elpa/org-20150323/ob-lisp hides /home/torys/workspace/=
emacs/lisp/org/ob-lisp
/home/torys/.emacs.d/elpa/org-20150323/ox-ascii hides /home/torys/workspace=
/emacs/lisp/org/ox-ascii
/home/torys/.emacs.d/elpa/org-20150323/ox-odt hides /home/torys/workspace/e=
macs/lisp/org/ox-odt
/home/torys/.emacs.d/elpa/org-20150323/ox-icalendar hides /home/torys/works=
pace/emacs/lisp/org/ox-icalendar
/home/torys/.emacs.d/elpa/org-20150323/org hides /home/torys/workspace/emac=
s/lisp/org/org
/home/torys/.emacs.d/elpa/org-20150323/org-attach hides /home/torys/workspa=
ce/emacs/lisp/org/org-attach
/home/torys/.emacs.d/elpa/org-20150323/org-list hides /home/torys/workspace=
/emacs/lisp/org/org-list
/home/torys/.emacs.d/elpa/org-20150323/ox-latex hides /home/torys/workspace=
/emacs/lisp/org/ox-latex
/home/torys/.emacs.d/elpa/org-20150323/org-plot hides /home/torys/workspace=
/emacs/lisp/org/org-plot
/home/torys/.emacs.d/elpa/org-20150323/ob-sqlite hides /home/torys/workspac=
e/emacs/lisp/org/ob-sqlite
/home/torys/.emacs.d/elpa/org-20150323/org-mobile hides /home/torys/workspa=
ce/emacs/lisp/org/org-mobile
/home/torys/.emacs.d/elpa/org-20150323/ob-emacs-lisp hides /home/torys/work=
space/emacs/lisp/org/ob-emacs-lisp
/home/torys/.emacs.d/elpa/org-20150323/org-eshell hides /home/torys/workspa=
ce/emacs/lisp/org/org-eshell
/home/torys/.emacs.d/elpa/org-20150323/org-ctags hides /home/torys/workspac=
e/emacs/lisp/org/org-ctags
/home/torys/.emacs.d/elpa/org-20150323/ox-beamer hides /home/torys/workspac=
e/emacs/lisp/org/ox-beamer
/home/torys/.emacs.d/elpa/org-20150323/ob-tangle hides /home/torys/workspac=
e/emacs/lisp/org/ob-tangle
/home/torys/.emacs.d/elpa/org-20150323/ob-lob hides /home/torys/workspace/e=
macs/lisp/org/ob-lob
/home/torys/.emacs.d/elpa/org-20150323/ob-io hides /home/torys/workspace/em=
acs/lisp/org/ob-io
/home/torys/.emacs.d/elpa/org-20150323/ob-ruby hides /home/torys/workspace/=
emacs/lisp/org/ob-ruby
/home/torys/.emacs.d/elpa/org-20150323/ox-texinfo hides /home/torys/workspa=
ce/emacs/lisp/org/ox-texinfo
/home/torys/.emacs.d/elpa/org-20150323/ob-ledger hides /home/torys/workspac=
e/emacs/lisp/org/ob-ledger
/home/torys/.emacs.d/elpa/org-20150323/org-macro hides /home/torys/workspac=
e/emacs/lisp/org/org-macro
/home/torys/.emacs.d/elpa/org-20150323/ob-clojure hides /home/torys/workspa=
ce/emacs/lisp/org/ob-clojure
/home/torys/.emacs.d/elpa/org-20150323/org-mhe hides /home/torys/workspace/=
emacs/lisp/org/org-mhe
/home/torys/.emacs.d/elpa/org-20150323/ob-maxima hides /home/torys/workspac=
e/emacs/lisp/org/ob-maxima
/home/torys/.emacs.d/elpa/org-20150323/org-gnus hides /home/torys/workspace=
/emacs/lisp/org/org-gnus
/home/torys/.emacs.d/elpa/org-20150323/ob-lilypond hides /home/torys/worksp=
ace/emacs/lisp/org/ob-lilypond
/home/torys/.emacs.d/elpa/org-20150323/ob-screen hides /home/torys/workspac=
e/emacs/lisp/org/ob-screen
/home/torys/.emacs.d/elpa/org-20150323/ob-fortran hides /home/torys/workspa=
ce/emacs/lisp/org/ob-fortran
/home/torys/.emacs.d/elpa/org-20150323/ob hides /home/torys/workspace/emacs=
/lisp/org/ob
/home/torys/.emacs.d/elpa/org-20150323/ob-css hides /home/torys/workspace/e=
macs/lisp/org/ob-css
/home/torys/.emacs.d/elpa/org-20150323/ob-ditaa hides /home/torys/workspace=
/emacs/lisp/org/ob-ditaa
/home/torys/.emacs.d/elpa/org-20150323/ob-exp hides /home/torys/workspace/e=
macs/lisp/org/ob-exp
/home/torys/.emacs.d/elpa/org-20150323/ob-scala hides /home/torys/workspace=
/emacs/lisp/org/ob-scala
/home/torys/.emacs.d/elpa/org-20150323/org-footnote hides /home/torys/works=
pace/emacs/lisp/org/org-footnote
/home/torys/.emacs.d/elpa/org-20150323/ob-latex hides /home/torys/workspace=
/emacs/lisp/org/ob-latex
/home/torys/.emacs.d/elpa/org-20150323/ob-ref hides /home/torys/workspace/e=
macs/lisp/org/ob-ref
/home/torys/.emacs.d/elpa/org-20150323/ob-C hides /home/torys/workspace/ema=
cs/lisp/org/ob-C
/home/torys/.emacs.d/elpa/org-20150323/org-timer hides /home/torys/workspac=
e/emacs/lisp/org/org-timer
/home/torys/.emacs.d/elpa/org-20150323/org-install hides /home/torys/worksp=
ace/emacs/lisp/org/org-install
/home/torys/.emacs.d/elpa/org-20150323/ob-gnuplot hides /home/torys/workspa=
ce/emacs/lisp/org/ob-gnuplot
/home/torys/.emacs.d/elpa/org-20150323/org-src hides /home/torys/workspace/=
emacs/lisp/org/org-src
/home/torys/.emacs.d/elpa/org-20150323/org-entities hides /home/torys/works=
pace/emacs/lisp/org/org-entities
/home/torys/.emacs.d/elpa/org-20150323/ob-core hides /home/torys/workspace/=
emacs/lisp/org/ob-core
/home/torys/.emacs.d/elpa/org-20150323/ox-publish hides /home/torys/workspa=
ce/emacs/lisp/org/ox-publish
/home/torys/.emacs.d/elpa/org-20150323/ob-comint hides /home/torys/workspac=
e/emacs/lisp/org/ob-comint
/home/torys/.emacs.d/elpa/org-20150323/org-bbdb hides /home/torys/workspace=
/emacs/lisp/org/org-bbdb
/home/torys/.emacs.d/elpa/org-20150323/org-mouse hides /home/torys/workspac=
e/emacs/lisp/org/org-mouse
/home/torys/.emacs.d/elpa/org-20150323/ob-R hides /home/torys/workspace/ema=
cs/lisp/org/ob-R
/home/torys/.emacs.d/elpa/org-20150323/org-inlinetask hides /home/torys/wor=
kspace/emacs/lisp/org/org-inlinetask
/home/torys/.emacs.d/elpa/org-20150323/org-bibtex hides /home/torys/workspa=
ce/emacs/lisp/org/org-bibtex
/home/torys/.emacs.d/elpa/org-20150323/ob-table hides /home/torys/workspace=
/emacs/lisp/org/ob-table
/home/torys/.emacs.d/elpa/org-20150323/org-pcomplete hides /home/torys/work=
space/emacs/lisp/org/org-pcomplete
/home/torys/.emacs.d/elpa/org-20150323/ob-python hides /home/torys/workspac=
e/emacs/lisp/org/ob-python
/home/torys/.emacs.d/elpa/org-20150323/org-feed hides /home/torys/workspace=
/emacs/lisp/org/org-feed
/home/torys/.emacs.d/elpa/org-20150323/org-version hides /home/torys/worksp=
ace/emacs/lisp/org/org-version
/home/torys/.emacs.d/elpa/org-20150323/ox-md hides /home/torys/workspace/em=
acs/lisp/org/ox-md
/home/torys/.emacs.d/elpa/org-20150323/org-clock hides /home/torys/workspac=
e/emacs/lisp/org/org-clock
/home/torys/.emacs.d/elpa/org-20150323/org-colview hides /home/torys/worksp=
ace/emacs/lisp/org/org-colview
/home/torys/.emacs.d/elpa/org-20150323/ob-awk hides /home/torys/workspace/e=
macs/lisp/org/ob-awk
/home/torys/.emacs.d/elpa/org-20150323/ob-shen hides /home/torys/workspace/=
emacs/lisp/org/ob-shen
/home/torys/.emacs.d/elpa/org-20150323/org-w3m hides /home/torys/workspace/=
emacs/lisp/org/org-w3m
/home/torys/.emacs.d/elpa/org-20150323/org-faces hides /home/torys/workspac=
e/emacs/lisp/org/org-faces
/home/torys/.emacs.d/elpa/org-20150323/ob-makefile hides /home/torys/worksp=
ace/emacs/lisp/org/ob-makefile
/home/torys/.emacs.d/elpa/org-20150323/org-datetree hides /home/torys/works=
pace/emacs/lisp/org/org-datetree
/home/torys/.emacs.d/elpa/org-20150323/ob-js hides /home/torys/workspace/em=
acs/lisp/org/ob-js
/home/torys/.emacs.d/elpa/org-20150323/ob-perl hides /home/torys/workspace/=
emacs/lisp/org/ob-perl
/home/torys/.emacs.d/elpa/org-20150323/ob-sql hides /home/torys/workspace/e=
macs/lisp/org/ob-sql
/home/torys/.emacs.d/elpa/org-20150323/org-loaddefs hides /home/torys/works=
pace/emacs/lisp/org/org-loaddefs
/home/torys/.emacs.d/elpa/org-20150323/org-rmail hides /home/torys/workspac=
e/emacs/lisp/org/org-rmail
/home/torys/.emacs.d/elpa/org-20150323/ob-ocaml hides /home/torys/workspace=
/emacs/lisp/org/ob-ocaml
/home/torys/.emacs.d/elpa/org-20150323/ob-dot hides /home/torys/workspace/e=
macs/lisp/org/ob-dot
/home/torys/.emacs.d/elpa/org-20150323/ob-eval hides /home/torys/workspace/=
emacs/lisp/org/ob-eval
/home/torys/.emacs.d/elpa/org-20150323/ob-asymptote hides /home/torys/works=
pace/emacs/lisp/org/ob-asymptote
/home/torys/.emacs.d/elpa/org-20150323/org-habit hides /home/torys/workspac=
e/emacs/lisp/org/org-habit
/home/torys/.emacs.d/elpa/org-20150323/org-compat hides /home/torys/workspa=
ce/emacs/lisp/org/org-compat
/home/torys/.emacs.d/elpa/org-20150323/ob-octave hides /home/torys/workspac=
e/emacs/lisp/org/ob-octave
/home/torys/.emacs.d/elpa/org-20150323/org-crypt hides /home/torys/workspac=
e/emacs/lisp/org/org-crypt
/home/torys/.emacs.d/elpa/org-20150323/org-macs hides /home/torys/workspace=
/emacs/lisp/org/org-macs
/home/torys/.emacs.d/elpa/org-20150323/ob-scheme hides /home/torys/workspac=
e/emacs/lisp/org/ob-scheme
/home/torys/.emacs.d/elpa/org-20150323/ob-sh hides /home/torys/workspace/em=
acs/lisp/org/ob-sh
/home/torys/.emacs.d/elpa/org-20150323/ob-plantuml hides /home/torys/worksp=
ace/emacs/lisp/org/ob-plantuml
/home/torys/.emacs.d/elpa/org-20150323/ob-haskell hides /home/torys/workspa=
ce/emacs/lisp/org/ob-haskell
/home/torys/.emacs.d/elpa/org-20150323/ob-java hides /home/torys/workspace/=
emacs/lisp/org/ob-java
/home/torys/.emacs.d/elpa/org-20150323/ox-html hides /home/torys/workspace/=
emacs/lisp/org/ox-html
/home/torys/.emacs.d/elpa/org-20150323/ox hides /home/torys/workspace/emacs=
/lisp/org/ox
/home/torys/.emacs.d/elpa/org-20150323/ob-calc hides /home/torys/workspace/=
emacs/lisp/org/ob-calc
/home/torys/.emacs.d/elpa/org-20150323/ob-picolisp hides /home/torys/worksp=
ace/emacs/lisp/org/ob-picolisp
/home/torys/.emacs.d/elpa/org-20150323/org-irc hides /home/torys/workspace/=
emacs/lisp/org/org-irc
/home/torys/.emacs.d/elpa/org-20150323/org-id hides /home/torys/workspace/e=
macs/lisp/org/org-id
/home/torys/.emacs.d/elpa/org-20150323/org-protocol hides /home/torys/works=
pace/emacs/lisp/org/org-protocol
/home/torys/.emacs.d/elpa/org-20150323/org-agenda hides /home/torys/workspa=
ce/emacs/lisp/org/org-agenda

Features:
(shadow emacsbug conf-mode tramp-cmds ebib ebib-filters ebib-keywords ebib-=
db ebib-utils sanityinc-solarized-dark-theme color-theme-sanityinc-solarize=
d rfc2368 calc-arith calc-map calc-vec calc-stat calc-ext calc-menu calc-ae=
nt calc calc-loaddefs calc-macs texmathp macros helm-ring quail ace-window =
avy org-attach org-id org-colview org-timer vc vc-dispatcher js json cc-mod=
e cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars c=
c-defs pcmpl-unix linum man sgml-mode org-datetree timeclock projectile whi=
tespace cider-mode cider-eldoc cider-interaction arc-mode archive-mode cide=
r-doc org-table cider-test cider-stacktrace cider-client nrepl-client queue=
 cider-util clojure-mode ewoc etags xref apropos view face-remap helm-bibte=
x f s ucs-normalize parsebib follow pdf-sync pdf-annot pdf-outline pdf-link=
s pdf-isearch pdf-misc imenu pdf-occur tablist tablist-filter semantic/wise=
nt/comp semantic/wisent semantic/wisent/wisent semantic/util-modes semantic=
/util semantic semantic/tag semantic/lex semantic/fw mode-local cedet pdf-h=
istory autorevert filenotify bibtex-style preview prv-emacs latex tex-style=
 vc-git diff-mode font-latex plain-tex tex-buf tex crm tex-mode latexenc wh=
iteboard-theme gnus-draft ibuf-ext ibuffer tabify cal-move erc-hl-nicks spi=
nner paradox paradox-menu paradox-commit-list paradox-execute let-alist par=
adox-github paradox-core debug eieio-opt speedbar sb-image ezimage dframe o=
rg-agenda-property holidays hol-loaddefs diary-lib diary-loaddefs cal-iso h=
elm-command mailalias smtpmail sendmail footnote nnir sort gnus-cite smiley=
 gnus-html mail-extr gnus-bcklg qp timezone mm-archive gnutls network-strea=
m nsm starttls url-http url-gw url-cache url-auth url-handlers nnrss gnus-a=
sync gnus-ml gnus-topic nndraft nnmh nnml gnus-agent gnus-srvr gnus-score s=
core-mode nnvirtual gnus-msg nntp gnus-cache processing-snippets yasnippet =
misearch multi-isearch tramp-cache tramp-sh ido helm-misc flymake manoj-dar=
k-theme smart-mode-line-powerline-theme powerline powerline-separators colo=
r powerline-themes smart-mode-line-light-theme smart-mode-line mule-util ri=
ch-minority dash ac-ispell ispell auto-complete-config pdf-tools cus-edit p=
df-view pdf-cache pdf-info tq pdf-util shorten-mode epa-file epa epg soar-m=
ode hi-lock web-mode disp-table paren ace-isearch ace-jump-mode winner rece=
ntf tree-widget god-mode-isearch god-mode erc-list erc-menu erc-join erc-ri=
ng erc-networks erc-pcomplete erc-track erc-match erc-button erc-fill erc-s=
tamp erc-netsplit erc-goodies erc erc-backend erc-compat helm-swoop ac-helm=
 auto-complete popup helm-elisp helm-eval helm-mode helm-files rx tramp tra=
mp-compat tramp-loaddefs trampver shell ffap thingatpt helm-buffers helm-el=
screen helm-tags helm-bookmark helm-adaptive helm-info helm-locate helm-hel=
p helm-org helm-match-plugin helm-grep wgrep-helm wgrep helm-regexp helm-pl=
ugin grep helm-external helm-net xml helm-utils compile helm-config async-b=
ytecomp async helm-aliases helm helm-source eieio-compat eww url-queue shr =
dom subr-x browse-url time mm-url url url-proxy url-privacy url-expand url-=
methods url-history url-cookie url-domsuf url-util url-parse auth-source ei=
eio eieio-core cl-generic byte-opt bytecomp byte-compile cl-extra seq cconv=
 pcase url-vars windmove hydra lv dired+ image-dired image-file bookmark+ b=
ookmark+-key advice derived bookmark+-1 bookmark+-bmu help-mode bookmark+-l=
it bookmark pp dired-x dired-aux org-clock org-rmail org-mhe org-irc org-in=
fo org-gnus org-docview doc-view jka-compr image-mode org-bibtex bibtex org=
-bbdb org-w3m org-contacts org-capture org-agenda gnus-art mm-uu mml2015 mm=
-view mml-smime smime password-cache dig mailcap gnus-sum gnus-group gnus-u=
ndo gnus-start gnus-cloud nnimap nnmail mail-source tls utf7 netrc nnoo par=
se-time gnus-spec gnus-int gnus-range message cl-macs dired rfc822 mml mml-=
sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-d=
rums mailabbrev gmm-utils mailheader gnus-win gnus gnus-ems nnheader mail-u=
tils mm-util help-fns mail-prsvr wid-edit gnus-util ox-beamer ox-md ox-odt =
rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nx=
ml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html ox-ascii ox-p=
ublish ox org-element org org-macro org-footnote org-pcomplete pcomplete or=
g-list org-faces org-entities noutline outline easy-mmode org-version ob-em=
acs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comi=
nt comint ansi-color ring ob-core ob-eval org-compat org-macs org-loaddefs =
format-spec find-func cal-menu calendar cal-loaddefs cl gv edmacro kmacro c=
l-loaddefs cl-lib hl-line elec-pair delsel cus-start cus-load finder-inf 4c=
lojure-autoloads ac-helm-autoloads ac-html-autoloads anything-exuberant-cta=
gs-autoloads anything-autoloads tex-site birds-of-paradise-plus-theme-autol=
oads clojure-cheatsheet-autoloads dired-details-autoloads flymake-css-autol=
oads flymake-jshint-autoloads flymake-jslint-autoloads flymake-json-autoloa=
ds flymake-php-autoloads flymake-easy-autoloads async-autoloads git-rebase-=
mode-autoloads git-commit-mode-autoloads pkg-info-autoloads queue-autoloads=
 request-deferred-autoloads request-autoloads info easymenu s-autoloads pac=
kage epg-config server time-date tooltip eldoc electric uniquify ediff-hook=
 vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image reg=
exp-opt fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode reg=
ister page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font=
-lock syntax facemenu font-core frame cham georgian utf-8-lang misc-lang vi=
etnamese tibetan thai tai-viet lao korean japanese hebrew greek romanian sl=
ovak czech european ethiopic indian cyrillic chinese case-table epa-hook jk=
a-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice loaddefs but=
ton faces cus-face macroexp files text-properties overlay sha1 md5 base64 f=
ormat env code-pages mule custom widget hashtable-print-readable backquote =
make-network-process gfilenotify dynamic-setting system-font-setting font-r=
ender-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 2985732 604245)
 (symbols 48 84462 14)
 (miscs 40 25876 11280)
 (strings 32 800927 76962)
 (string-bytes 1 13336645)
 (vectors 16 134500)
 (vector-slots 8 2996613 123264)
 (floats 8 5848 17450)
 (intervals 56 193877 15430)
 (buffers 976 632)
 (heap 1024 230711 291258))




Acknowledgement sent to torys.anderson@HIDDEN (Tory S. Anderson):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20236; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Dec 2021 10:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.